9.7 Peer Review Workshop for Essay #3

Submissions opened: Tuesday, August 28, 2018, 1:00 AM
Submissions closed: Sunday, November 25, 2018, 11:55 PM
Assessments opened: Monday, November 26, 2018, 12:00 AM
Assessments closed: Wednesday, November 28, 2018, 11:55 PM

Setup phase

Workshop timeline with 5 phasesSkip to current tasks
Setup phase
Current phase
  • Task info The workshop is currently being set up. Please wait until it is switched to the next phase.
Submission phase
  • Task info Open for submissions from Tuesday, August 28, 2018, 1:00 AM (1192 days ago)
  • Task info Submissions deadline: Sunday, November 25, 2018, 11:55 PM (1102 days ago)
Assessment phase
  • Task info Open for assessment from Monday, November 26, 2018, 12:00 AM (1102 days ago)
  • Task info Assessment deadline: Wednesday, November 28, 2018, 11:55 PM (1099 days ago)
Grading evaluation phase
Closed
Description

This final workshop will allow you to assist 3 peers in preparing their final papers while also giving you valuable feedback on your work. Please participate honestly, providing constructive and useful criticism and praise. You will receive a grade for submitting on time and a grade for your assessment of others' works.